const { Pool } = require("pg");
const bcrypt = require("bcryptjs");

const pool = new Pool({
  connectionString: process.env.DATABASE_URL + process.env.DBNAME,
});

// Fehlerbehandlung bei der Datenbankverbindung
pool.on("error", (err) => {
  console.error("Fehler in der PostgreSQL-Datenbankverbindung:", err);
});

// Exportiere den Pool für die Nutzung in anderen Dateien
module.exports = pool;
